package com.ym.mec.biz.dal.dto;

import io.swagger.annotations.ApiModelProperty;

/**
 * @Author Joburgess
 * @Date 2021/4/15 0015
 */
public class IndexErrorDataExportDto {

    private Integer organId;

    private String organName;

    private String generateTime;

    private String dealUserName;

    @ApiModelProperty(value = "基础技能班学员数量异常")
    private int highClassStudentLessThanThreeNum;

    @ApiModelProperty(value = "乐团巡查事项异常")
    private int musicPatrolItem;

    @ApiModelProperty(value = "乐团巡查事项异常-剩余")
    private int musicPatrolItemSurplus;

    @ApiModelProperty(value = "未加入任何班级学员")
    private int noClassMusicGroupStudentInfo;

    @ApiModelProperty(value = "未缴费学员数")
    private int studentNotPayment;

    @ApiModelProperty(value = "申请退团学员数")
    private int studentApplyForQuitMusicGroup;

    @ApiModelProperty(value = "预计课酬较低")
    private int teacherExpectSalaryBeLow;

    @ApiModelProperty(value = "课程时间安排异常")
    private int courseTimeError;

    @ApiModelProperty(value = "乐团巡查任务未计划")
    private int inspectionItem;

    @ApiModelProperty(value = "乐团巡查任务未提交")
    private int inspectionItemPlan;

    @ApiModelProperty(value = "乐团巡查任务未提交-剩余")
    private int inspectionItemPlanSurplus;

    @ApiModelProperty(value = "回访任务未完成")
    private int studentVisit;

    @ApiModelProperty(value = "回访任务未完成-剩余")
    private int studentVisitSurplus;

    @ApiModelProperty(value = "课程考勤异常")
    private int teacherExceptionAttendance;

    @ApiModelProperty(value = "课程考勤异常-剩余")
    private int teacherExceptionAttendanceSurplus;

    @ApiModelProperty(value = "课程异常")
    private int teacherNotAClass;

    @ApiModelProperty(value = "课程异常-剩余")
    private int teacherNotAClassSurplus;

    @ApiModelProperty(value = "服务指标异常")
    private int teacherServeError;

    @ApiModelProperty(value = "总计")
    private int total;

    public Integer getOrganId() {
        return organId;
    }

    public void setOrganId(Integer organId) {
        this.organId = organId;
    }

    public String getOrganName() {
        return organName;
    }

    public void setOrganName(String organName) {
        this.organName = organName;
    }

    public String getGenerateTime() {
        return generateTime;
    }

    public void setGenerateTime(String generateTime) {
        this.generateTime = generateTime;
    }

    public String getDealUserName() {
        return dealUserName;
    }

    public void setDealUserName(String dealUserName) {
        this.dealUserName = dealUserName;
    }

    public int getHighClassStudentLessThanThreeNum() {
        return highClassStudentLessThanThreeNum;
    }

    public void setHighClassStudentLessThanThreeNum(int highClassStudentLessThanThreeNum) {
        this.highClassStudentLessThanThreeNum = highClassStudentLessThanThreeNum;
    }

    public int getMusicPatrolItem() {
        return musicPatrolItem;
    }

    public void setMusicPatrolItem(int musicPatrolItem) {
        this.musicPatrolItem = musicPatrolItem;
    }

    public int getNoClassMusicGroupStudentInfo() {
        return noClassMusicGroupStudentInfo;
    }

    public void setNoClassMusicGroupStudentInfo(int noClassMusicGroupStudentInfo) {
        this.noClassMusicGroupStudentInfo = noClassMusicGroupStudentInfo;
    }

    public int getStudentNotPayment() {
        return studentNotPayment;
    }

    public void setStudentNotPayment(int studentNotPayment) {
        this.studentNotPayment = studentNotPayment;
    }

    public int getStudentApplyForQuitMusicGroup() {
        return studentApplyForQuitMusicGroup;
    }

    public void setStudentApplyForQuitMusicGroup(int studentApplyForQuitMusicGroup) {
        this.studentApplyForQuitMusicGroup = studentApplyForQuitMusicGroup;
    }

    public int getTeacherExpectSalaryBeLow() {
        return teacherExpectSalaryBeLow;
    }

    public void setTeacherExpectSalaryBeLow(int teacherExpectSalaryBeLow) {
        this.teacherExpectSalaryBeLow = teacherExpectSalaryBeLow;
    }

    public int getCourseTimeError() {
        return courseTimeError;
    }

    public void setCourseTimeError(int courseTimeError) {
        this.courseTimeError = courseTimeError;
    }

    public int getInspectionItem() {
        return inspectionItem;
    }

    public void setInspectionItem(int inspectionItem) {
        this.inspectionItem = inspectionItem;
    }

    public int getInspectionItemPlan() {
        return inspectionItemPlan;
    }

    public void setInspectionItemPlan(int inspectionItemPlan) {
        this.inspectionItemPlan = inspectionItemPlan;
    }

    public int getStudentVisit() {
        return studentVisit;
    }

    public void setStudentVisit(int studentVisit) {
        this.studentVisit = studentVisit;
    }

    public int getTeacherExceptionAttendance() {
        return teacherExceptionAttendance;
    }

    public void setTeacherExceptionAttendance(int teacherExceptionAttendance) {
        this.teacherExceptionAttendance = teacherExceptionAttendance;
    }

    public int getTeacherNotAClass() {
        return teacherNotAClass;
    }

    public void setTeacherNotAClass(int teacherNotAClass) {
        this.teacherNotAClass = teacherNotAClass;
    }

    public int getTeacherServeError() {
        return teacherServeError;
    }

    public void setTeacherServeError(int teacherServeError) {
        this.teacherServeError = teacherServeError;
    }

    public int getTotal() {
        return total;
    }

    public void setTotal(int total) {
        this.total = total;
    }

    public int getMusicPatrolItemSurplus() {
        return musicPatrolItemSurplus;
    }

    public void setMusicPatrolItemSurplus(int musicPatrolItemSurplus) {
        this.musicPatrolItemSurplus = musicPatrolItemSurplus;
    }

    public int getInspectionItemPlanSurplus() {
        return inspectionItemPlanSurplus;
    }

    public void setInspectionItemPlanSurplus(int inspectionItemPlanSurplus) {
        this.inspectionItemPlanSurplus = inspectionItemPlanSurplus;
    }

    public int getStudentVisitSurplus() {
        return studentVisitSurplus;
    }

    public void setStudentVisitSurplus(int studentVisitSurplus) {
        this.studentVisitSurplus = studentVisitSurplus;
    }

    public int getTeacherExceptionAttendanceSurplus() {
        return teacherExceptionAttendanceSurplus;
    }

    public void setTeacherExceptionAttendanceSurplus(int teacherExceptionAttendanceSurplus) {
        this.teacherExceptionAttendanceSurplus = teacherExceptionAttendanceSurplus;
    }

    public int getTeacherNotAClassSurplus() {
        return teacherNotAClassSurplus;
    }

    public void setTeacherNotAClassSurplus(int teacherNotAClassSurplus) {
        this.teacherNotAClassSurplus = teacherNotAClassSurplus;
    }
}
